Bug 625668 - Windows guest stops at "Booting from hard disk" after installation
Windows guest stops at "Booting from hard disk" after installation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 00:27 EDT by Mark Wu
Modified: 2013-01-09 06:39 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Wu 2010-08-20 00:27:09 EDT
Description of problem:
Windows guest stops at "Booting from hard disk" after installation. However, ff booting from CD and no any key pressed, it can boot into the guest system.

Version-Release number of selected component (if applicable):
qemu-0.12.3-8.fc13.rpm
seabios-0.5.1-2.fc13.rpm

How reproducible:
Almost each time.
Steps to Reproduce:
1. Install windows 2003 guest
2. Boot the guest from hard disk after installation
3.
  
Actual results:
Stop at "Booting from hard disk" in the screen.

Expected results:
Boot successfully from hard disk.

Additional info:
The command line of qemu-kvm
/usr/bin/qemu-kvm -S -M fedora-13 -cpu core2duo,+x2apic -enable-kvm -m 1800 -smp 1,sockets=1,cores=1,threads=1 -name rhevm -uuid 7f49b6a5-e31f-0bc7-6d37-8bd5cb9ce961 -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/rhevm.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=localtime -boot c -drive file=/var/lib/libvirt/en_win_srv_2003_r2_enterprise_with_sp2_vl_cd1.iso,if=none,media=cdrom,id=drive-ide0-1-0 -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=/var/lib/libvirt/images/rhevm-1.img,if=none,id=drive-ide0-0-0,boot=on,format=raw -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -device rtl8139,vlan=0,id=net0,mac=52:54:00:8a:b3:4e,bus=pci.0,addr=0x5 -net tap,fd=58,vlan=0,name=hostnet0 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -usb -device usb-tablet,id=input0 -vnc 127.0.0.1:0 -k en-us -vga std -device AC97,id=sound0,bus=pci.0,addr=0x6 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3

The qemu thread gets stuck in syscall ioctl, which indicates it keeps running some code in guest.

#strace -p 12246
Process 12246 attached - interrupt to quit
rt_sigtimedwait([BUS RT_6], 0x7f3054550c30, {0, 0}, 8) = -1 EAGAIN (Resource temporarily unavailable)
rt_sigpending([ALRM])                   = 0
futex(0x85eec0, FUTEX_WAKE_PRIVATE, 1)  = 1
ioctl(12, KVM_RUN
Comment 1 Mark Wu 2010-08-20 00:30:24 EDT
I added some debug code in seabios and found that it should have jumped to 0x7c00 to run bootloader already.  Run fixboot/fixmbr in windows repair console, it didn't help either.
Comment 2 Sahil Ahuja 2010-10-03 08:24:11 EDT
I am facing the same problem. However, I am not able to boot even after booting from CD with no key pressed.

I am only able to do the windows install. But after that, on booting the second time, it gets stuck at "Booting from hard disk"
Comment 3 Sumit Bose 2010-10-08 08:45:03 EDT
I am seeing the same problem, but only with NTFS. If I install Windows with FAT32 the system boots without any problems.
Comment 4 Bug Zapper 2011-06-01 07:04:14 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-28 10:21:53 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.